@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap');

@import './variables';

ul,
ol,
li {
  list-style: none;
}

a {
  text-decoration: none;
}

body {
  display: flex;
  justify-content: center;
  margin: 0;
  font-family: $primaryFont;
  background: $primaryBgColor;
  height: 100%;
  app-root {
    width: 1390px;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
    .page-container {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      gap: 20px;
      min-height: 100vh;
      padding: 0 40px;
      margin-bottom: 20px;
    }
    button,
    input {
      font-family: $secondaryFont;
      font-size: 14px;
      font-size: calc(6px + 8 * (100vw / 1390));
      font-weight: 600;
    }
    h1 {
      color: $thirdGreyColor;
    }
  }
}

@media (max-width: 1500px) {
  body {
    padding: 0 40px;
    .page-container {
      justify-content: center;
      padding: 0;
    }
  }
}

@media (max-width: 1407px) {
  .page-container {
    justify-content: center;
    padding: 0;
  }
}
